%define url_ver %(echo %{version} | cut -d. -f1,2)

# comment out if not git version
#define prel	git

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Time-managing application for Xfce desktop environment
Name:		orage
Version:	4.12.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/apps/orage/%{url_ver}/%{name}-%{version}%{?prel:-%prel}.tar.bz2
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4panel-1.0) >= 4.6.0
BuildRequires:	pkgconfig(libical) >= 0.43
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.34
BuildRequires:	pkgconfig(libnotify) >= 0.3.2
BuildRequires:	pkgconfig(popt)
BuildRequires:	xfce4-dev-tools

%description
Orage is a time-managing application for the Xfce desktop environment,
featuring:

- Time-based events
- Data stored in ical format.
- Recurring appointments
- Reminder up to 2 days before the event starts
- Possibility to choose your alarm sound
- Repeating the alarm sound until you close the reminder window
- Possibility to duplicate an appointment
- Archiving system for keeping your history in different files for
  avoiding overloads in the main working file.

%prep
%setup -qn %{name}-%{version}%{?prel:-%prel}
%autopatch -p1

%build
%xdt_autogen
%configure2_5x PERL=%{__perl} \
	%{?prel:--enable-maintainer-mode} \
	--disable-static \
	--enable-reentrant \
	--enable-dbus \
	--enable-archive \
	--enable-libnotify \
	--enable-libxfce4panel

%make

%install
%makeinstall_std

#disable rpath in _bin
chrpath -d %{buildroot}/%{_bindir}/*

rm -rf %{buildroot}%{_datadir}/orage/doc

%find_lang %{name}

desktop-file-install \
	--add-only-show-in="XFCE" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README AUTHORS
%doc doc/C/images/*.png doc/C/orage.html
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/liborageclock.so
%{_datadir}/applications/*.desktop
%{_datadir}/xfce4/panel/plugins/xfce4-orageclock-plugin.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_iconsdir}/hicolor/*/apps/xfcalendar*
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.xfce.*.service
%{_mandir}/man1/*.1*


%changelog
* Mon Jan 25 2016 luigiwalser <luigiwalser> 4.12.1-2.mga6
+ Revision: 927287
- rebuild for libical

* Sat Jun 20 2015 wally <wally> 4.12.1-1.mga6
+ Revision: 836267
- new version 4.12.1

* Tue Mar 03 2015 wally <wally> 4.10.0-4.mga5
+ Revision: 817513
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 4.10.0-3.mga5
+ Revision: 743263
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.10.0-2.mga5
+ Revision: 683270
- Mageia 5 Mass Rebuild

* Sun Dec 15 2013 wally <wally> 4.10.0-1.mga4
+ Revision: 556987
- fix release tag

* Sat Dec 14 2013 wally <wally> 4.10.0-0.1.mga4
+ Revision: 556759
- new version 4.10.0

* Sat Oct 19 2013 umeabot <umeabot> 4.8.4-3.mga4
+ Revision: 525743
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 4.8.4-2.mga4
+ Revision: 434369
- rebuild for new ical

* Mon Feb 04 2013 wally <wally> 4.8.4-1.mga3
+ Revision: 394597
- new version 4.8.4
- drop patches from upstream

* Sun Jan 13 2013 umeabot <umeabot> 4.8.3-5.mga3
+ Revision: 362194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 4.8.3-4.mga3
+ Revision: 338287
- fix file list after %%_libexecdir change

* Thu May 31 2012 wally <wally> 4.8.3-3.mga3
+ Revision: 252511
- fix notifying every second on 'All day events' (xfce#8525, patch from upstream git)

* Mon May 28 2012 wally <wally> 4.8.3-2.mga3
+ Revision: 248618
- rebuild for new libxfce4util
- clean .spec

* Thu Jan 05 2012 wally <wally> 4.8.3-1.mga2
+ Revision: 191591
- new version 4.8.3
- clean BRs
- drop ancient provides/obsoletes
- clean .spec a bit

* Tue Jan 03 2012 wally <wally> 4.8.1-2.mga2
+ Revision: 190051
- rebuild for new xfce4-panel

* Mon Jun 13 2011 ahmad <ahmad> 4.8.1-1.mga2
+ Revision: 105536
- Update to 4.8.1
- Add BR libpopt-devel and libdbus-glib-devel

* Sun Feb 20 2011 dmorgan <dmorgan> 4.8.0-1.mga1
+ Revision: 54523
- imported package orage

